Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::background_node Class Reference

Abstract base class for background nodes. More...

`#include <openvrml/node.h>`

Inheritance diagram for openvrml::background_node:
[legend]

List of all members.

## Public Member Functions

virtual | ~background_node ()=0 throw ()
| Destroy.
const std::vector< float > & | ground_angle () const throw ()
| Ground angles.
const std::vector< color > & | ground_color () const throw ()
| Ground colors.
const std::vector< float > & | sky_angle () const throw ()
| Sky angles.
const std::vector< color > & | sky_color () const throw ()
| Sky colors.
texture_node * | front () const throw ()
| Front texture.
texture_node * | back () const throw ()
| Back texture.
texture_node * | left () const throw ()
| Left texture.
texture_node * | right () const throw ()
| Right texture.
texture_node * | top () const throw ()
| Top texture.
texture_node * | bottom () const throw ()
| Bottom texture.

## Protected Member Functions

| background_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.

## Private Member Functions

virtual background_node * | to_background () throw ()
| Cast to a `background_node`.
virtual const std::vector < float > & | do_ground_angle () const =0 throw ()
| Ground angles.
virtual const std::vector < color > & | do_ground_color () const =0 throw ()
| Ground colors.
virtual const std::vector < float > & | do_sky_angle () const =0 throw ()
| Sky angles.
virtual const std::vector < color > & | do_sky_color () const =0 throw ()
| Sky colors.
virtual texture_node * | do_front () const =0 throw ()
| Front texture.
virtual texture_node * | do_back () const =0 throw ()
| Back texture.
virtual texture_node * | do_left () const =0 throw ()
| Left texture.
virtual texture_node * | do_right () const =0 throw ()
| Right texture.
virtual texture_node * | do_top () const =0 throw ()
| Top texture.
virtual texture_node * | do_bottom () const =0 throw ()
| Bottom texture.

## Detailed Description

Abstract base class for background nodes.

## Constructor & Destructor Documentation

openvrml::background_node::~background_node | ( |  | ) | throw ()`[pure virtual]`

Destroy.

openvrml::background_node::background_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope |
| ) |  |  | throw ()`[protected]`

Construct.

Parameters:

  `[in]` | type | the `node_type` associated with the node.
  `[in]` | scope | the scope the node belongs to.

## Member Function Documentation

const std::vector< float > & openvrml::background_node::ground_angle | ( |  | ) | const throw ()

Ground angles.

This function delegates to `do_ground_angle`.

Returns:
  a vector of angles corresponding to ground colors.

const std::vector< openvrml::color > & openvrml::background_node::ground_color | ( |  | ) | const throw ()

Ground colors.

This function delegates to `do_ground_color`.

Returns:
  a vector of ground colors.

const std::vector< float > & openvrml::background_node::sky_angle | ( |  | ) | const throw ()

Sky angles.

This function delegates to `do_sky_angle`.

Returns:
  a vector of angles corresponding to sky colors.

const std::vector< openvrml::color > & openvrml::background_node::sky_color | ( |  | ) | const throw ()

Sky colors.

This function delegates to `do_sky_color`.

Returns:
  a vector of sky colors.

openvrml::texture_node * openvrml::background_node::front | ( |  | ) | const throw ()

Front texture.

This function delegates to `do_front`.

Returns:
  the front texture.

openvrml::texture_node * openvrml::background_node::back | ( |  | ) | const throw ()

Back texture.

This function delegates to `do_back`.

Returns:
  the back texture.

openvrml::texture_node * openvrml::background_node::left | ( |  | ) | const throw ()

Left texture.

This function delegates to `do_left`.

Returns:
  the left texture.

openvrml::texture_node * openvrml::background_node::right | ( |  | ) | const throw ()

Right texture.

This function delegates to `do_right`.

Returns:
  the right texture.

openvrml::texture_node * openvrml::background_node::top | ( |  | ) | const throw ()

Top texture.

This function delegates to `do_top`.

Returns:
  the top texture.

openvrml::texture_node * openvrml::background_node::bottom | ( |  | ) | const throw ()

Bottom texture.

This function delegates to `do_bottom`.

Returns:
  the bottom texture.

openvrml::background_node * openvrml::background_node::to_background | ( |  | ) | throw ()`[private, virtual]`

Cast to a `background_node`.

Returns:
  a pointer to this `background_node`.

Reimplemented from openvrml::node.

const std::vector< float > & openvrml::background_node::do_ground_angle | ( |  | ) | const throw ()`[private, pure virtual]`

Ground angles.

Returns:
  a vector of angles corresponding to ground colors.

const std::vector< openvrml::color > & openvrml::background_node::do_ground_color | ( |  | ) | const throw ()`[private, pure virtual]`

Ground colors.

Returns:
  a vector of ground colors.

const std::vector< float > & openvrml::background_node::do_sky_angle | ( |  | ) | const throw ()`[private, pure virtual]`

Sky angles.

Returns:
  a vector of angles corresponding to sky colors.

const std::vector< openvrml::color > & openvrml::background_node::do_sky_color | ( |  | ) | const throw ()`[private, pure virtual]`

Sky colors.

Returns:
  a vector of sky colors.

openvrml::texture_node * openvrml::background_node::do_front | ( |  | ) | const throw ()`[private, pure virtual]`

Front texture.

Returns:
  the front texture.

openvrml::texture_node * openvrml::background_node::do_back | ( |  | ) | const throw ()`[private, pure virtual]`

Back texture.

Returns:
  the back texture.

openvrml::texture_node * openvrml::background_node::do_left | ( |  | ) | const throw ()`[private, pure virtual]`

Left texture.

Returns:
  the left texture.

openvrml::texture_node * openvrml::background_node::do_right | ( |  | ) | const throw ()`[private, pure virtual]`

Right texture.

Returns:
  the right texture.

openvrml::texture_node * openvrml::background_node::do_top | ( |  | ) | const throw ()`[private, pure virtual]`

Top texture.

Returns:
  the top texture.

openvrml::texture_node * openvrml::background_node::do_bottom | ( |  | ) | const throw ()`[private, pure virtual]`

Bottom texture.

Returns:
  the bottom texture.